Package org.apache.datasketches.hive.quantiles

## Class UnionStringsSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.quantiles.UnionItemsSketchUDAF<String>
    - - org.apache.datasketches.hive.quantiles.UnionStringsSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

    public class UnionStringsSketchUDAF
    extends UnionItemsSketchUDAF<String>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.datasketches.hive.quantiles.UnionItemsSketchUDAF

`UnionItemsSketchUDAF.UnionEvaluator<T>`

### Constructor Summary

Constructors
`UnionStringsSketchUDAF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()`

### Methods inherited from class org.apache.datasketches.hive.quantiles.UnionItemsSketchUDAF

`getEvaluator`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionStringsSketchUDAF

    public UnionStringsSketchUDAF()

### Method Detail

#### createEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

Specified by:
  `createEvaluator` in class `UnionItemsSketchUDAF<String>`